Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim
Class ISimTimer.UpdateTimeDisplayThread

    java.lang.Object
      java.lang.Thread
          ix.isim.ISimTimer.UpdateTimeDisplayThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ISimTimer

     class ISimTimer.UpdateTimeDisplayThread

extends java.lang.Thread

This Thread is used to update the displayed time on a regular basis. Normally the display is updated once a minute, but this depends on the current acceleration factor. Updates occur only when the simulation is active.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ISimTimer.UpdateTimeDisplayThread()`

Method Summary
`void` | `run()`
`void` | `terminate()`
`void` | `updateNow()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ISimTimer.UpdateTimeDisplayThread

    ISimTimer.UpdateTimeDisplayThread()

Method Detail

### updateNow

    public void updateNow()

### terminate

    public void terminate()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD